Package org.acplt.oncrpc

# Class OncRpcBroadcastEvent

java.lang.Object
java.util.EventObject
org.acplt.oncrpc.OncRpcBroadcastEvent

All Implemented Interfaces:
  `Serializable`

public class OncRpcBroadcastEvent extends EventObject
The class `OncRpcBroadcastEvent` defines an event fired by `ONC/RPC UDP/IP-based clients` whenever replies to a `broadcast call` are received.

Version:
  $Revision: 1.3 $ $Date: 2005/11/11 21:19:20 $ $State: Exp $ $Locker: $
Author:
  Harald Albrecht
See Also:
  - `OncRpcBroadcastListener`
  - `OncRpcBroadcastAdapter`
  - `OncRpcUdpClient`
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`OncRpcBroadcastEvent(OncRpcUdpClient source, InetAddress replyAddress, int procedureNumber, XdrAble params, XdrAble reply)`
Creates a new `KscPackageUpdateEvent` object and initializes its state.

## Method Summary

Modifier and Type
Method
Description
`XdrAble`
`getParams()`
Returns the parameter message sent in a broadcast RPC.
`int`
`getProcedureNumber()`
Returns the number of the remote procedure called.
`XdrAble`
`getReply()`
Returns ONC/RPC reply message.
`InetAddress`
`getReplyAddress()`
Returns the address of the sender of the ONC/RPC reply message.

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### OncRpcBroadcastEvent

public OncRpcBroadcastEvent(OncRpcUdpClient source, InetAddress replyAddress, int procedureNumber, XdrAble params, XdrAble reply)
Creates a new `KscPackageUpdateEvent` object and initializes its state.

Parameters:
  `source` - The `ONC/RPC client object` which has fired this event.
  `replyAddress` - Internetaddress of reply's origin.
  `procedureNumber` - Procedure number of ONC/RPC call.
  `params` - The ONC/RPC call resulting in this reply.
  `reply` - The ONC/RPC reply itself.

## Method Details

### getReplyAddress

public InetAddress getReplyAddress()
Returns the address of the sender of the ONC/RPC reply message.

Returns:
  address of sender of reply.

### getReply

public XdrAble getReply()
Returns ONC/RPC reply message.

Returns:
  reply message object.

### getProcedureNumber

public int getProcedureNumber()
Returns the number of the remote procedure called.

Returns:
  procedure number.

### getParams

public XdrAble getParams()
Returns the parameter message sent in a broadcast RPC.

Returns:
  parameter message object.